summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2023-06-15 22:21:21 +0200
committerUlrich Müller <ulm@gentoo.org>2023-06-16 20:09:54 +0200
commit9a2f4ff60c4a66ddb63c6fb1c967f0036a80c677 (patch)
treebf47d43309adfcd01833fdf9fd30a27311bd1ecc /eclass
parentmercurial.eclass: Don't inherit eutils (diff)
downloadgentoo-9a2f4ff60c4a66ddb63c6fb1c967f0036a80c677.tar.gz
gentoo-9a2f4ff60c4a66ddb63c6fb1c967f0036a80c677.tar.bz2
gentoo-9a2f4ff60c4a66ddb63c6fb1c967f0036a80c677.zip
rpm.eclass: Drop support for EAPI 5
Signed-off-by: Ulrich Müller <ulm@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/rpm.eclass10
1 files changed, 5 insertions, 5 deletions
diff --git a/eclass/rpm.eclass b/eclass/rpm.eclass
index c97e23144c2b..d03493466e1e 100644
--- a/eclass/rpm.eclass
+++ b/eclass/rpm.eclass
@@ -1,14 +1,14 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: rpm.eclass
# @MAINTAINER:
# base-system@gentoo.org
-# @SUPPORTED_EAPIS: 5 6 7 8
+# @SUPPORTED_EAPIS: 6 7 8
# @BLURB: convenience class for extracting RPMs
case ${EAPI} in
- 5|6) inherit epatch eutils ;; # eutils for eqawarn
+ 6) inherit epatch eutils ;; # eutils for eqawarn
7) inherit eutils ;; # not needed, but ebuilds may still rely on it
8) ;;
*) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
@@ -20,7 +20,7 @@ _RPM_ECLASS=1
inherit estack
case ${EAPI} in
- 5|6) DEPEND="app-arch/rpm2targz" ;;
+ 6) DEPEND="app-arch/rpm2targz" ;;
*) BDEPEND="app-arch/rpm2targz" ;;
esac
@@ -98,7 +98,7 @@ rpm_src_unpack() {
# files around, well this won't handle that.
rpm_spec_epatch() {
# no epatch in EAPI 7 and later
- [[ ${EAPI} == [56] ]] || die "${FUNCNAME} is banned in EAPI ${EAPI}"
+ [[ ${EAPI} == 6 ]] || die "${FUNCNAME} is banned in EAPI ${EAPI}"
local p spec=$1
local dir